{
  "name": "10xWirelessAll",
  "rules": [
    {
      "name": "10X无线基本信息",
      "rules": [
        "undebug all",
        "show version",
        "debug support",
        "exec realver",
        "end",
        "show version all",
        "show version all real",
        "show running-config",
        "show ap-config running",
        "show ap-config summary",
        "show capwap state",
        "show cpu",
        "@sleep 1000",
        "show cpu",
        "show memory",
        "show logging",
        "show ac-config",
        "debug support",
        "show exception",
        "end",
        "show cpu-protect type arp",
        "@sleep 5000",
        "show cpu-protect type arp",
        "@sleep 5000",
        "show cpu-protect type arp",
        "show nfpp arp-guard summary",
        "show nfpp arp-guard hosts",
        "show nfpp ip-guard hosts",
        "show nfpp arp-guard scan",
        "show nfpp log buffer",
        "show nfpp dhcp-guard summary",
        "show nfpp dhcp-guard hosts",
        "show interfaces counters errors",
        "show interfaces",
        "show interface counter rate"
      ]
    },
    {
      "name": "10X无线AC设备基本类基本信息",
      "rules": [
        "show clock",
        "show ip interface brief",
        "show ip route",
        "sh interface status | include g",
        "show arp",
        "show ap-config bssid"
      ]
    },
    {
      "name": "10X无线AP设备基本类基本信息",
      "rules": [
        "show running-config",
        "show version detail",
        "debug support",
        "show exception",
        "end",
        "show antenna all",
        "show dot11 radio-status",
        "show dot11 wireless #apRadioX/0",
        "show dot11 mbssid",
        "show mac",
        "show wbs-bssm error-log",
        "show logging",
        "show dot mbssid",
        "show interface counters rate",
        "show d a a",
        "@sleep 1000",
        "show d a a",
        "@sleep 1000",
        "show d a a",
        "show cpu type arp",
        "show cpu type dhcp",
        "show cpu",
        "show ap-mode",
        "show arp",
        "show logging",
        "show interface status",
        "show interface",
        "show clock",
        "show vlan",
        "show ip interface brief",
        "dir",
        "show interface gigabitEthernet 0/1",
        "show interface radio 1/0",
        "show interface radio 2/0"
      ]
    }
  ],
  "checkItems": [
    {
      "collectType": "AC设备基本类",
      "subTypes": [
        {
          "typeName": "CPU利用率高",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "show cpu | exclude 0.00% 0.00% 0.00%",
            "@sleep 5000",
            "show cpu | exclude 0.00% 0.00% 0.00%",
            "@sleep 5000",
            "show cpu | exclude 0.00% 0.00% 0.00%"
          ]
        },
        {
          "typeName": "内存利用率高",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "show memory",
            "debug support",
            "show pool",
            "end"
          ]
        },
        {
          "typeName": "AC有线ping不通、丢包、延迟大等",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "show interface status | in up",
            "show ip interface brief",
            "show ip route",
            "show arp",
            "show mac-add",
            "show spanning-tree summary",
            "show cpu-protect summary",
            "show cpu-protect type arp",
            "show cpu-protect type d1x",
            "show cpu-protect type dhcps",
            "@sleep 10000",
            "show interface status | in up",
            "show ip interface brief",
            "show ip route",
            "show arp",
            "show mac-add",
            "show spanning-tree summary",
            "show cpu-protect summary",
            "show cpu-protect type arp",
            "show cpu-protect type d1x",
            "show cpu-protect type dhcps",
            "@sleep 10000",
            "show interface status | in up",
            "show ip interface brief",
            "show ip route",
            "show arp",
            "show mac-add",
            "show spanning-tree summary",
            "show cpu-protect summary",
            "show cpu-protect type arp",
            "show cpu-protect type d1x",
            "show cpu-protect type dhcps"
          ]
        },
        {
          "typeName": "AP频繁掉线、无法接入等",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "show ap-config summary",
            "debug apmg join",
            "terminal monitor",
            "@sleep 30000",
            "terminal no monitor",
            "no debug all",
            "show ap-config sum deny"
          ]
        }
      ]
    },
    {
      "collectType": "AP设备基本类",
      "subTypes": [
        {
          "typeName": "本地转发异常故障排查",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AP设备基本类基本信息"
          ]
        },
        {
          "typeName": "AP端CPU利用率高",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AP设备基本类基本信息",
            "show cpu | exclude 0.00% 0.00% 0.00%",
            "@sleep 5000",
            "show cpu | exclude 0.00% 0.00% 0.00%",
            "@sleep 5000",
            "show cpu | exclude 0.00% 0.00% 0.00%"
          ]
        },
        {
          "typeName": "AP端内存利用率高",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AP设备基本类基本信息",
            "show memory",
            "debug support",
            "show pool",
            "end"
          ]
        },
        {
          "typeName": "AP死机",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AP设备基本类基本信息",
            "debug support",
            "show exception",
            "end"
          ]
        },
        {
          "typeName": "capwap隧道未建立",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AP设备基本类基本信息",
            "show interface status",
            "show interface counter rate",
            "@sleep 1000",
            "show interface counter rate",
            "@sleep 1000",
            "show interface counter rate",
            "show mac",
            "show interface #interfaceparam1",
            "show poe interfaces status",
            "debug support",
            "show exception",
            "end",
            "show ip interface",
            "more cw_teardown_info.txt",
            "show efmp fpa",
            "show efmp buffer stat",
            "show interface status",
            "show interface counter rate",
            "show capwap status",
            "ping #acIp"
          ]
        }
      ]
    },
    {
      "collectType": "无线体验类",
      "subTypes": [
        {
          "typeName": "STA无法接入、掉线等问题",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "show cpu",
            "show cpu-protect type arp",
            "show cpu-protect type d1x",
            "show cpu-protect type dhcps",
            "show vlan",
            "@sleep 5000",
            "show cpu",
            "show cpu-protect type arp",
            "show cpu-protect type d1x",
            "show cpu-protect type dhcps",
            "show vlan",
            "@sleep 5000",
            "show cpu",
            "show cpu-protect type arp",
            "show cpu-protect type d1x",
            "show cpu-protect type dhcps",
            "show vlan"
          ]
        },
        {
          "typeName": "STA漫游后网络不通",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "show ap-config debug bssid #apName",
            "show ap-config debug radio-wlan-info #apName #radioId",
            "debug support",
            "exec ef_rwc_db",
            "end",
            "debug ef-core function all  protocol ipv4 dhcp discover print-pkt cnt 10",
            "debug ef-core function all  protocol arp print-pkt cnt 10",
            "debug ef-core function all  protocol ipv4 icmp print-pkt cn 10",
            "terminal monitor",
            "@sleep 30000",
            "terminal no monitor",
            "no debug all"
          ]
        },
        {
          "typeName": "无线终端丢包问题",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "clear efmp flow counter",
            "ping #staGateIp",
            "show efmp flow count",
            "@telnet #APIP #APUSER #APPASS #APENPASS",
            "debug packets function all  protocol 0x21 count 1000 #staMac",
            "debug ef-core function all  protocol ipv4 dhcp discover print-pkt cnt 10",
            "debug ef-core function all  protocol arp print-pkt cnt 10",
            "debug ef-core function all  protocol ipv4 icmp print-pkt cn 10",
            "terminal monitor",
            "@sleep 30000",
            "terminal no monitor",
            "no debug all",
            "@telnetEnd"
          ]
        },
        {
          "typeName": "无线终端关联失败",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "@telnet #APIP #APUSER #APPASS #APENPASS",
            "show run",
            "show dot11 associations all-client",
            "@telnetEnd",
            "show ac-c cli by-ap-name",
            "show ap-group intf-wlan-map #apGroupName",
            "debug rsna #staMac",
            "debug rsna all",
            "terminal monitor",
            "@sleep 30000",
            "terminal no monitor",
            "no debug all",
            "@telnet #APIP #APUSER #APPASS #APENPASS",
            "debug packets function  all mgmt 0x7 count 1000 #staMac",
            "terminal monitor",
            "@sleep 30000",
            "terminal no monitor",
            "no debug all",
            "@telnetEnd"
          ]
        }
      ]
    },
    {
      "collectType": "认证类问题",
      "subTypes": [
        {
          "typeName": "web认证重定向页面无反应，看不到url",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "show tcp connect | include #ipParam1",
            "show web user all",
            "show cpu",
            "show web user ip #ipParam1"
          ]
        },
        {
          "typeName": "web认证，终端看到url，但是页面打不开",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "ping #ipPortal"
          ]
        },
        {
          "typeName": "web认证失败",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "config",
            "dbg-filter wba #ipParam1",
            "exit",
            "debug v2portal portal",
            "debug v2portal user",
            "terminal monitor",
            "@sleep 30000",
            "terminal no monitor",
            "no debug all",
            "show web user by ip #ipParam1"
          ]
        },
        {
          "typeName": "1X认证频繁掉线",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "debug dot1x su add mac 0 #unNormalMac",
            "debug dot1x su ver",
            "debug dot1x hb",
            "debug aaa event",
            "debug radius event",
            "debug radius ext event",
            "terminal monitor",
            "@sleep 30000",
            "terminal no monitor",
            "no debug all",
            "show dot1x su",
            "show dot1x",
            "show aaa user all",
            "show radius server",
            "show radius group"
          ]
        },
        {
          "typeName": "1X认证无法接入",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息",
            "debug dot1x su add mac 0 #unNormalMac",
            "debug dot1x su ver",
            "debug dot1x hb",
            "debug aaa event",
            "debug radius event",
            "debug radius ext event",
            "terminal monitor",
            "@sleep 30000",
            "terminal no monitor",
            "no debug all",
            "show dot1x su",
            "show dot1x",
            "show aaa user all",
            "show radius server",
            "show radius group"
          ]
        }
      ]
    },
    {
      "collectType": "未知故障",
      "subTypes": [
        {
          "typeName": "无线未知故障",
          "cmds": [
            "@include 10X无线基本信息",
            "@include 10X无线AC设备基本类基本信息"
          ]
        },
        {
          "typeName": "未知故障AP",
          "cmds": [
            "@include 10X无线AP设备基本类基本信息"
          ]
        }
      ]
    }
  ]
}